import { config as configFunc } from 'dotenv';
if ('error' in configFunc()) {
  configFunc({ path: 'test.env' });
}

// Sync object
/**
 * @type {import('jest').Config}
 */
const config: import('jest').Config = {
  preset: 'ts-jest',
  testTimeout: 60_000,
  testEnvironment: 'node',
  testPathIgnorePatterns: ['<rootDir>/lib/'],
  maxWorkers: 1,
};

export default config;
